Inhalte

# Funktion Err

Gibt einen Fehlercode zurück, der den bei der Programmausführung aufgetretenen Fehler identifiziert.

## Syntax:

    Err

## Rückgabewert:

Integer

## Parameter:

Die Funktion Err wird in Fehlerbehandlungsroutinen zur Bestimmung des aufgetretenen Fehlers verwendet. In der Fehlerbehandlungsroutine wird dann entsprechend den Anweisungen des Programmierers auf diesen Fehler reagiert und die Programmausführung anschließend fortgesetzt.

## Beispiel:

    Sub ExampleError
    On error Goto ErrorHandler REM Fehlerbehandlung anmelden
    Dim iVar as Integer
    Dim sVar As String
    REM Ein Fehler wird verursacht, da die Datei nicht existiert
        iVar = Freefile
        Open "\file9879.txt" for Input as #iVar
        Line Input #iVar, sVar
        Close #iVar
    Exit Sub
    ErrorHandler:
        MsgBox "Fehler " & Err & ": " & Error$ + chr(13) + "In line : " + Erl + chr(13) + Now , 16 ,"Fehler aufgetreten"
    End Sub

Verwandte Themen

Funktionen zur Fehlerbehandlung

Bitte unterstützen Sie uns!